# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name process-leksah

# common part of summary for all the subpackages
%global common_summary Library for system processes in leksah

# main description used for all the subpackages
%global common_description This package contains libraries for dealing with system processes in leksah.

Name:           ghc-%{pkg_name}
Version:        1.0.1.4
Release:        8%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{undefined without_hscolour}
BuildRequires:  hscolour
%endif
# END cabal2spec


%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN cabal2spec
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END cabal2spec

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%endif


%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files


%changelog
* Sun Jan 08 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-8
- rebuild for haskell-platform update

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.1.4-7.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.1.4-7.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.0.1.4-7.1
- rebuild with new gmp

* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-7
- Update to cabal2spec-0.23.2

* Mon Jun 20 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-6
- Rebuild for ghc-7.0.4. Update to cabal2spec 0.23.1.

* Fri Mar 11 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-5
- Rebuild for ghc-7.0.2

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.1.4-4
- Enable build on sparcv9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-2
- upgrading to cabal2spec-0.22.4

* Tue Dec  7 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-1
- Changed license to BSD. No dependencies required.

* Tue Dec  7 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.0.1.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
